/// <reference types="vite/client" />

interface ImportMetaEnv {
  /**
   * 这和`process.env.NODE_ENV`不一样，这个环境变量是当前项目的
   * 而`process.env.NODE_ENV`是调用者的
   */
  readonly VITE_APP_MODE: 'development' | 'production'
}

interface ImportMeta {
  readonly env: ImportMetaEnv
}
