import H, { AxiosError as A } from "axios";
import { cloneDeep as W, isEqual as f } from "lodash";
const F = H.create({
  timeout: 0
}), N = () => (Math.random() + "").split(".")[1], D = (e) => new Promise((s) => setTimeout(s, e)), j = (e) => e === !1 || e === void 0, v = /^([a-z][a-z\d+\-.]*:)?\/\//i, $ = (e) => {
  const { url: s, baseURL: t } = e;
  return !t || (v.lastIndex = 0, v.test(s)) ? s : t.endsWith("/") && s.startsWith("/") ? `${t}${s.slice(1)}` : `${t}${s}`;
}, y = (e) => `${$(e)}:${e.method.toUpperCase()}`, J = (e) => {
  var n;
  const s = ((n = e.match(/:([A-Z]+)$/)) == null ? void 0 : n[1]) || "", t = e.split(":").slice(0, -1).join(":");
  let r;
  try {
    r = new URL(t);
  } catch {
    r = {};
  }
  return {
    ...r,
    method: s.toLowerCase()
  };
}, h = (e, s) => {
  for (const t in s)
    if (Object.prototype.hasOwnProperty.call(s, t)) {
      const r = e[t], n = s[t];
      r && n && typeof r == "object" && typeof n == "object" ? h(r, n) : n !== void 0 && (e[t] = n);
    }
  return e;
}, w = (e) => {
  switch (typeof e) {
    case "object":
      return e || {};
    case "string":
      return (e.split("?")[1] || e).split("&").reduce((t, r) => {
        const [n, o] = r.split("=");
        return t[n] = o, t;
      }, {});
    default:
      return {};
  }
}, B = H.CancelToken, l = [], Y = (e) => {
  const s = y(e), t = { urlFlag: s, payload: e.payload || {}, reqId: e.reqId };
  return e.cancelToken = new B((r) => {
    t.canceler = (n) => {
      r(`${c.cancelMessage}：${s}`, e, n), O(t.reqId);
    };
  }), l.push(t), t;
}, O = (e) => {
  const s = l.findIndex((t) => t.reqId === e);
  if (s !== -1)
    return l.splice(s, 1)[0];
}, K = (e) => {
  const s = y(e);
  l.forEach((t) => {
    if (t.canceler && t.urlFlag === s) {
      const { cancel: r, payload: n } = e;
      let o = !1;
      typeof r == "boolean" ? o = r : typeof r == "function" ? o = r(n, t.payload) : typeof r == "string" ? o = n[r] === t.payload[r] : Array.isArray(r) && (o = r.every((a) => n[a] === t.payload[a])), o && t.canceler(e);
    }
  });
}, m = (e) => {
  var s;
  return !!((s = e == null ? void 0 : e.message) != null && s.startsWith(c.cancelMessage));
}, we = (e) => {
  l.filter((s) => s.canceler && e({
    urlFlag: s.urlFlag,
    payload: s.payload,
    parsedUrlFlag: J(s.urlFlag)
  })).forEach((s) => {
    s.canceler();
  });
}, c = Object.seal({
  config: {
    isEncoded: !1,
    showErrMsg: !0,
    reuse: !0,
    cancel: !0,
    cache: !1,
    handleDateField: !1,
    businessErrorHandler: (e, s) => {
      s.isFinalResponse && I({ type: "error", message: e.message }, s);
    },
    responseErrorHandler: (e, s) => {
      s.isFinalResponse && !e.isCancelError && I({ type: "error", message: "网络请求失败" }, s);
    },
    retryWhenSuccess: () => !1,
    retryWhenFail: (e) => e.isTimeoutError || e.isServerError,
    maxRetryCount: 5,
    retryDelay: 0
  },
  finalConfig: void 0,
  cancelMessage: "request canceled",
  concurrency: 0,
  dateFormat: "YYYY-MM-DD HH:mm",
  showMessage: ({ type: e, message: s }) => {
    console.log(`%c${s}`, `color: #${e === "success" ? "4caf50" : "f44336"}`);
  }
}), I = ({ type: e, message: s }, t) => {
  s && (e === "success" || t.showErrMsg) && c.showMessage({ type: e, message: s });
}, z = (e) => {
  const s = W(c.config);
  if (e = h(s, e), typeof c.finalConfig == "function") {
    const r = c.finalConfig(e);
    r && h(e, r);
  }
  const t = e.data || w(e.params) || {};
  return e.method.toLowerCase() === "get" && (e.url.includes("?") && (Object.assign(t, w(e.url)), e.url = e.url.split("?")[0]), e.params = h(t, w(e.params))), e.url = $(e), delete e.baseURL, {
    ...e,
    reqId: e.reqId || N(),
    data: t,
    payload: t
  };
}, G = {
  error: (e) => {
    m(e.reason) && (e.reason.oldConfig = e.reason.config, e.reason.newConfig = e.reason.request, delete e.reason.request, delete e.reason.config);
  },
  log: (e) => {
    var s;
    m(e.reason) && (console.log(`${e.reason.message} 被取消的参数:`, e.reason.config.payload, " 新的参数:", (s = e.reason.request) == null ? void 0 : s.payload), e.preventDefault());
  },
  ignore: (e) => {
    m(e.reason) && e.preventDefault();
  }
};
function Se(e, s = "log") {
  try {
    const t = typeof e == "function" ? e(c) : e;
    h(c, t);
  } catch (t) {
    console.error("初始化配置失败", t);
  }
  if (typeof s == "string") {
    const t = G[s];
    t && window.addEventListener("unhandledrejection", t);
  } else typeof s == "function" && window.addEventListener("unhandledrejection", (t) => {
    s(t, t.reason.config, t.reason.request);
  });
}
const P = [], R = {}, x = (e, s) => {
  const t = { timestamp: Date.now(), handler: e };
  s ? R[s] = [...R[s] || [], t] : P.push(t);
}, X = (e) => {
  var t;
  const s = [P.shift(), (t = R[e]) == null ? void 0 : t.shift()].filter(Boolean);
  s.length && (s.length > 1 && s.sort((r, n) => r.timestamp - n.timestamp), s[0].handler());
}, k = (e, s) => {
  if (c.concurrency && l.length >= c.concurrency)
    return new Promise((t) => {
      x(t);
    });
  if (typeof e.cancel == "number") {
    const t = e.cancel;
    if (l.filter((n) => n.urlFlag === s).length >= t)
      return new Promise((n) => {
        x(n, s);
      });
  }
}, V = (e) => {
  const s = y(e), t = l.filter((r) => r.urlFlag === s);
  for (let r = 0, n = t.length; r < n; r++) {
    const o = t[r];
    if (o.promise && f(o.payload, e.payload))
      return o.promise.then((a) => JSON.parse(JSON.stringify(a)));
  }
}, d = process.env.NODE_ENV === "development" ? async (e, s) => {
  const t = typeof e.delay == "function" ? e.delay(e.payload, e.isFinalResponse) : e.delay, r = typeof t == "number" ? { success: t, fail: t } : t;
  r[s] && await D(r[s]);
} : null, L = "request_cache:", Z = (e) => L + e, Q = (e) => typeof e == "string" && e.startsWith(L), C = {};
se();
function S(e) {
  const s = window[e], t = {};
  for (let r = 0, n = s.length; r < n; r++) {
    const o = s.key(r);
    if (!Q(o)) continue;
    const a = b(e, o);
    a.length && (t[o] = a);
  }
  return t;
}
function T(e) {
  const s = C[e] || [];
  return _(s), s;
}
function b(e, s) {
  const t = window[e];
  if (!t[s]) return [];
  try {
    const r = JSON.parse(t[s]), n = r.length;
    return _(r), r.length ? r.length !== n && t.setItem(s, JSON.stringify(r)) : t.removeItem(s), r;
  } catch {
    return [];
  }
}
function ee(e, s, t) {
  const r = window[e], n = Z(s), o = b(e, n), a = o.find((E) => f(E.payload, t.payload));
  a ? Object.assign(a, t) : o.push(t), r.setItem(n, JSON.stringify(o));
  const g = e === "localStorage" ? "sessionStorage" : "localStorage", i = window[g], u = b(g, n), M = u.findIndex((E) => f(E.payload, t.payload));
  M !== -1 && (u.splice(M, 1), u.length ? i.setItem(n, JSON.stringify(u)) : i.removeItem(n));
}
function se() {
  const e = S("localStorage"), s = S("sessionStorage");
  Object.keys(e).forEach((t) => {
    const r = e[t], n = s[t];
    n ? C[t] = [...r, ...n] : C[t] = r;
  }), window.addEventListener("beforeunload", () => {
    S("localStorage");
  });
}
function te(e) {
  const { expireSeconds: s, startTime: t } = e;
  return s !== void 0 && new Date(t).getTime() + s * 1e3 < Date.now();
}
function _(e) {
  for (let s = e.length - 1; s >= 0; s--) {
    const t = e[s];
    te(t) && e.splice(s, 1);
  }
}
function U(e) {
  return typeof e == "object" ? {
    cache: e.cache,
    expireSeconds: e.expireSeconds || void 0
  } : {
    cache: e,
    expireSeconds: void 0
  };
}
const re = (e) => {
  const { cache: s } = U(e.cache);
  if (j(s)) return;
  const t = y(e), n = T(t).find((o) => f(o.payload, e.payload));
  return n == null ? void 0 : n.data;
}, ne = (e, s) => {
  const { cache: t, expireSeconds: r } = U(e.cache), n = y(e), o = T(n), a = o.find((u) => f(u.payload, e.payload));
  if (!(!!a || !j(t))) return;
  const i = {
    payload: e.payload,
    data: s,
    startTime: (/* @__PURE__ */ new Date()).toLocaleString(),
    expireSeconds: r
  };
  a ? Object.assign(a, i) : C[n] = [...o, i], typeof t == "string" && ee(t, n, i);
}, oe = (e, s) => typeof (s == null ? void 0 : s.timeoutErrorMessage) == "string" ? s.timeoutErrorMessage === e.message : e.message.startsWith("timeout of"), ae = (e) => {
  var s, t, r;
  return Object.assign(e, {
    isCancelError: m(e),
    isTimeoutError: oe(e, e.config),
    isHttpError: e.response !== void 0,
    isServerError: ((s = e.response) == null ? void 0 : s.status) >= 500,
    isBusinessError: ((t = e.response) == null ? void 0 : t.data.status) !== void 0,
    responseData: (r = e.response) == null ? void 0 : r.data
  });
}, ce = (e) => typeof e.retryDelay == "function" ? e.retryDelay(e.currRetryCount) : e.retryDelay, q = (e, s) => {
  s.isFinalResponse = !0;
  const t = s.currRetryCount || 0;
  return (!s.maxRetryCount || t < s.maxRetryCount) && (e instanceof A ? s.retryWhenFail(e) : s.retryWhenSuccess(e)) && (s.currRetryCount = t + 1, s.isFinalResponse = !1), s.isFinalResponse;
}, le = String(Number.MAX_SAFE_INTEGER).length, ie = new RegExp(`([[,:])(\\s*)(\\d{${le},})`, "g");
F.defaults.transformResponse = ue(
  F.defaults.transformResponse,
  // 配置要从this拿，因此函数体不能使用箭头函数
  function(e, s) {
    return this.handleBigint && typeof e == "string" && de(s) ? e.replace(ie, '$1$2"$3"') : e;
  }
);
function ue(e, s) {
  return Array.isArray(e) ? [s, ...e] : [s, e];
}
function de(e) {
  const s = e["content-type"] || e["Content-Type"] || "";
  return s && s.toLowerCase().includes("application/json");
}
const p = async (e) => {
  e = z(e);
  const s = re(e);
  if (s)
    return { data: { ...s, __isCache__: !0 } };
  const t = y(e);
  let r;
  if (e.reuse && (r = V(e)), !r) {
    const o = k(e, t);
    if (o)
      return o.then(() => p(e));
  }
  let n;
  try {
    if (r)
      n = await r;
    else {
      K(e);
      const o = Y(e), a = F(e);
      o.promise = a, n = await a, q(n, e), await pe(n, e);
    }
  } catch (o) {
    o = ae(o), n = Promise.reject(o), q(o, e), await ye(o, e);
  } finally {
    if (O(e.reqId) && X(t), !e.isFinalResponse) {
      const a = ce(e);
      a && await D(a), n = p(e);
    }
  }
  return n;
}, pe = async (e, s) => {
  ne(s, e), s.successMsg && I({
    type: "success",
    message: typeof s.successMsg == "function" ? s.successMsg(s.payload, s.isFinalResponse) : s.successMsg
  }, s), s.successHandler && s.successHandler(
    e,
    s,
    c.config.successHandler && c.config.successHandler !== s.successHandler ? () => c.config.successHandler(e, s) : void 0
  ), s.delay && await (d == null ? void 0 : d(s, "success"));
}, ye = async (e, s) => {
  e.isBusinessError ? s.businessErrorHandler(
    e.responseData,
    s,
    c.config.businessErrorHandler && c.config.businessErrorHandler !== s.businessErrorHandler ? () => c.config.businessErrorHandler(e.responseData, s) : void 0
  ) : s.responseErrorHandler(
    e,
    s,
    c.config.responseErrorHandler && c.config.responseErrorHandler !== s.responseErrorHandler ? () => c.config.responseErrorHandler(e, s) : void 0
  ), s.delay && await (d == null ? void 0 : d(s, "fail"));
}, he = (e) => p({ ...e, method: "post" }), fe = (e) => p({ ...e, method: "get" }), Fe = {
  get: fe,
  post: he
}, me = (e) => p({ ...e, method: "post" }).then((s) => s.data), Ce = (e) => p({ ...e, method: "get" }).then((s) => s.data), Ie = {
  get: Ce,
  post: me
};
export {
  we as cancelRequest,
  Se as initConfig,
  F as instance,
  Fe as request,
  Ie as requestSimplified
};
